using System;

internal sealed class Delegate835 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate835 delegate835_1)
	{
		return delegate835_1(object_0);
	}

	public extern Delegate835(object object_0, IntPtr intptr_0);

	static Delegate835()
	{
		Class10.smethod_13(typeof(Delegate835).TypeHandle);
	}

	internal static Delegate835 delegate835_0;
}
